<?php
// REGISTER BLOCK
include_once(GG_DIR .'/settings/field_options.php');


// structure
$defaults = array(
	'gid' => array(
		'label'		=> __('Which gallery?', GG_ML),
		'type'		=> 'select',
		'opts'		=> array('' => __('Select a gallery', GG_ML)) + $GLOBALS['gg_guten_galls'],
		'default' 	=> '',
		'panel'		=> 'main',
	),
	'random' => array(
		'label'		=> __('Random display?', GG_ML),
		'type'		=> 'checkbox',
		'default' 	=> '',
		'panel'		=> 'main',
	),
	'watermark' => array(
		'label'		=> __('Use watermark?', GG_ML),
		'type'		=> 'checkbox',
		'default' 	=> '',
		'panel'		=> 'main',
	),
	'filters' => array(
		'label'		=> __('Use tags filter?', GG_ML),
		'type'		=> 'checkbox',
		'default' 	=> '',
		'panel'		=> 'main',
	),
	'search' => array(
		'label'		=> __('Enable search?', GG_ML),
		'type'		=> 'checkbox',
		'default' 	=> '',
		'panel'		=> 'main',
	),
	'pagination' => array(
		'label'		=> __('Pagination system', GG_ML),
		'type'		=> 'select',
		'opts'		=> array(
			'' => __('Auto - follow global settings', GG_ML)
			) + gg_pag_sys(),
		'default' 	=> '',
		'panel'		=> 'main',
	),
);




$defaults = gg_fix_block_defs($defaults);

register_block_type('lcweb/g-gallery', array(
	'editor_script' 	=> 'gg_gall_on_guten',
	'render_callback' 	=> 'gg_gallery_guten_handler',
	'attributes' 		=> $defaults
));


wp_localize_script('wp-blocks', 'gg_gall_defaults', $defaults);
